Subject: RE: Proposed Resolution to PROT I-D Issues List

From: "McDonald, Ira" <[email-masked]>
Date: Fri, 18 Mar 2005 11:35:21 -0800

Hi Randy,

I'm aware of that bizarre policy of the IESG on the primacy
of the English language text.  It's wrong and indefensible.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On
Behalf Of Randy Presuhn
Sent: Friday, March 18, 2005 2:24 PM
To: [email-masked]
Subject: Re: Proposed Resolution to PROT I-D Issues List

Hi -

> From: "McDonald, Ira" <[email-masked]>
> To: <[email-masked]>; "'Wes Hardaker'" <[email-masked]>; "'Andy
Bierman'" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Friday, March 18, 2005 10:54 AM
> Subject: RE: Proposed Resolution to PROT I-D Issues List
...
> I agree that the XML Schema should be normative and that
> the body text should say that a received message that does
> not parse _perfectly_ under the XML Schema is corrupt and
> should be subject to some appropriate error handling (but
> never quietly accepted).

I'm inclined to agree, but we should be mindful of
http://www.ietf.org/IESG/STATEMENTS/pseudo-code-in-specs.txt
which gives primacy to the English text.

> Reconfiguration of network systems is not a use case for
> "close enough for rock and roll".
...

Agreed, and let's not lose sight of the point of the passage Steve
Berl cited:

...
> > Implementations MUST NOT assume that an incoming message is
> > free from malicious intent because it has been successfully
> > verified against this schema.
...

Simply passing XML validation does not guarantee that the message is
benign.

Randy

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>